import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';

/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {});
}

/**
 * 获取客户列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getCustomerList(data) {
  return api.post('Customer.Customer/getCustomerList', data);
}

/**
 * 删除客户
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteCustomer(data) {
  return api.post('Customer.Customer/deleteCustomer', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加客户
 * @param {Object} data
 * @return {Promise} api
 */
export function addCustomer(data) {
  return api.post('Customer.Customer/addCustomer', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑客户
 * @param {Object} data
 * @return {Promise} api
 */
export function editCustomer(data) {
  return api.post('Customer.Customer/editCustomer', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}